CREATE TABLE IF NOT EXISTS `quests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category` varchar(32) NOT NULL DEFAULT '',
  `series_number` int(11) NOT NULL DEFAULT '0',
  `goal_type` int(10) NOT NULL DEFAULT '0',
  `goal_data` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(32) NOT NULL DEFAULT '',
  `reward` varchar(50) NOT NULL DEFAULT '10',
  `badge_id` varchar(50) NOT NULL DEFAULT '',
  `reward_type` enum('ACHIEVEMENT_POINTS','VIP_POINTS','ACTIVITY_POINTS','CREDITS','BADGE') NOT NULL DEFAULT 'ACTIVITY_POINTS',
  `data_bit` varchar(2) NOT NULL DEFAULT '',
  `enabled` enum('1','0') DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `nameUnique` (`name`),
  KEY `nameKey` (`name`),
  KEY `categoryKey` (`category`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;

-- Dumping data for table cometsrv.quests: ~33 rows (approximately)
/*!40000 ALTER TABLE `quests` DISABLE KEYS */;
INSERT INTO `quests` (`id`, `category`, `series_number`, `goal_type`, `goal_data`, `name`, `reward`, `badge_id`, `reward_type`, `data_bit`, `enabled`) VALUES
	(1, 'room_builder', 1, 0, 3, 'MOVEITEM', '100', '', 'ACHIEVEMENT_POINTS', '_2', '1'),
	(2, 'social', 1, 8, 1, 'ENTEROTHERSROOM', '10', '', 'ACTIVITY_POINTS', '_2', '1'),
	(3, 'identity', 1, 14, 1, 'CHANGEFIGURE', '10', '', 'ACTIVITY_POINTS', '_2', '1'),
	(4, 'explore', 1, 17, 3529, 'FINDLIFEGUARDTOWER', '10', '', 'ACTIVITY_POINTS', '_2', '1'),
	(5, 'room_builder', 2, 1, 3, 'ROTATEITEM', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(6, 'room_builder', 3, 2, 1, 'PLACEITEM', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(7, 'room_builder', 4, 3, 1, 'PICKUPITEM', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(8, 'room_builder', 5, 4, 2, 'SWITCHSTATE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(9, 'room_builder', 6, 5, 1, 'STACKITEM', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(10, 'room_builder', 7, 6, 1, 'PLACEFLOOR', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(11, 'room_builder', 8, 7, 1, 'PLACEWALLPAPER', '10', '', 'ACTIVITY_POINTS', '_1', '1'),
	(12, 'identity', 2, 15, 1, 'CHANGEMOTTO', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(13, 'identity', 3, 16, 1, 'WEARBADGE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(14, 'social', 2, 9, 1, 'CHATWITHSOMEONE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(15, 'social', 3, 10, 1, 'REQUESTFRIEND', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(16, 'social', 4, 11, 1, 'GIVERESPECT', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(17, 'social', 5, 12, 1, 'DANCE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(18, 'social', 6, 13, 1, 'WAVE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(19, 'explore', 2, 17, 3530, 'SWIM', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(20, 'explore', 3, 17, 3562, 'FINDSURFBOARD', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(21, 'explore', 4, 17, 3549, 'FINDBEETLE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(22, 'explore', 5, 17, 2958, 'FINDNEONFLOOR', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(23, 'explore', 6, 17, 2964, 'FINDDISCOBALL', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(24, 'explore', 7, 17, 2608, 'FINDJUKEBOX', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(25, 'explore', 8, 17, 3643, 'FINDBBGATE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(26, 'explore', 9, 17, 3633, 'FINDBBTILE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(27, 'explore', 10, 17, 3642, 'FINDBBTELEPORT', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(28, 'explore', 11, 17, 3760, 'FINDFREEZEGATE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(29, 'explore', 12, 17, 3765, 'FINDFREEZESCOREBOARD', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(30, 'explore', 13, 17, 3759, 'FINDFREEZEEXITTILE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(31, 'explore', 14, 17, 1413, 'ICESKATE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(32, 'explore', 15, 17, 3741, 'FINDTAGPOLE', '10', '', 'ACTIVITY_POINTS', '', '1'),
	(33, 'explore', 16, 17, 2199, 'ROLLERSKATE', '10', '', 'ACTIVITY_POINTS', '', '1');

